## org.apache.lucene.util.fst
Class FSTTester<T>

    java.lang.Object
      org.apache.lucene.util.fst.FSTTester<T>

    public class FSTTester<T>

extends Object

Helper class to test FSTs.

Nested Class Summary
`static class` `FSTTester.InputOutput<T>` Holds one input/output pair.

Constructor Summary
`FSTTester(Random random, Directory dir, int inputMode, List<FSTTester.InputOutput<T>> pairs, Outputs<T> outputs, boolean doReverseLookup)`

Method Summary
`void` `doTest(boolean testPruning)`
`protected boolean` `outputsEqual(T a, T b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSTTester

    public FSTTester(Random random,
                     Directory dir,
                     int inputMode,
                     List<FSTTester.InputOutput<T>> pairs,
                     Outputs<T> outputs,
                     boolean doReverseLookup)

Method Detail

### doTest

    public void doTest(boolean testPruning)
                throws IOException

  Throws:
    `IOException`

### outputsEqual

    protected boolean outputsEqual(T a,
                                   T b)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.